////////////////////////////////////////////////////////////////////////////////////
// Wireless Network Controller Gadget 2.1
//
// Author: David Taraso
// Date of Publication: June 2nd, 2007
// Published at: http://www.jcxp.net
//
// Copyright (C) 2007 David Taraso
//
// You may not modify and/or use any of the following code without first aquiring my
// authorization. If you wish to contact me, please do so by emailing me at 
// david.taraso@live.ca
////////////////////////////////////////////////////////////////////////////////////

var wireless = System.Network.Wireless;
var status;

//Checking network details
function networkInfo()
{
	var ssid = wireless.ssid;
	var Strength = wireless.signalStrength;
	var ip = wireless.address;
	var primaryDNS = wireless.primaryDNSAddress;
	var security = wireless.secureConnection;

	//If connected display, the network information, if there's an SSID then you are connected
	if (ssid != "")
	{
		status = true;
		document.getElementById('networkSsid').innerText = ssid;
		document.getElementById('networkSignalPercent').innerText = Strength + "%";
	}
	//If not connected, then display the filler
	else
	{	
		status = false;
		document.getElementById('networkSsid').innerText = "Disconnected";
		document.getElementById('networkSignalPercent').innerText = "n/a";
	}
	
	//Checking the signal strength and security and displaying the appropriate image
	//If connected to a network, then display the proper signal status image
	if (status == true)
	{	
		if (Strength > 79)
		{
			document.getElementById('networkSignal').src = "/img/Signal/5.ico";
		}
		else if (Strength > 59)
		{
			document.getElementById('networkSignal').src = "/img/Signal/4.ico";
		}
		else if (Strength > 39)
		{
			document.getElementById('networkSignal').src = "/img/Signal/3.ico";
		}
		else if (Strength > 19)
		{
			document.getElementById('networkSignal').src = "/img/Signal/2.ico";
		}
		else if (Strength > 0)
		{
			document.getElementById('networkSignal').src = "/img/Signal/1.ico";
		}
		else
		{
			document.getElementById('networkSignal').src = "/img/Signal/0.ico";
		}
	}
	//If disconencted, then show disconnected status image
	else
	{
		document.getElementById('networkSignal').src = "/img/Signal/dc.ico";
	}

	//Refresh network information when changing network
	wireless.connectionChanged = networkInfo;

	//Refresh network information when signal strength changes
	wireless.signalStrengthChanged = networkInfo;
}


//Opening the flyout details box
function showFlyout()
{
	System.Gadget.Flyout.file = "flyout.htm";
	System.Gadget.Flyout.show = true;
}



//End of gadget... or is it? Tune in next time to see. Even though that clearly gives it away, because if there is a next time then obviously this isn't the end, is it? Tune in next time to see.